#!/bin/bash
set -ex
grep -qE '^libogg-dev$' /etc/apk/world
set +x
cd ~/src
arc=beta6.03-2018.tar.gz
dir=vorbis_aotuv-beta6.03-2018
rm -rf "$dir" || true
rm -rf $HOME/pe/aotuv || true
# wget 'http://www.geocities.jp/aoyoume/aotuv/source_code/libvorbis-aotuv_b6.03_2015.tar.bz2'
[ -e "$arc" ] || wget "https://github.com/AO-Yumi/vorbis_aotuv/archive/$arc"
tar -tvf "$arc" | head -n 3
tar -xf "$arc"
cd "$dir"
chmod 755 configure
./configure --prefix=$HOME/pe/aotuv --disable-static
make
make install
printf '\n\n\n  success\n\n'

